Upgrade Gotchas for 3.0.0

First, see [http://spamassassin.apache.org/full/3.0.x/dist/UPGRADE the UPGRADE file] from the distribution for the basic gotchas.

SpamAssassin 3.0.0 has a significantly different API (Application Program Interface) from the 2.x series of code. This means that if you use SpamAssassin through a third-party utility (milter, etc,) you need to make sure you have an updated version which supports 3.0.0, such as:

Configuration settings that include the word "hits" have generally been renamed to use the word "score" instead, for consistency.


CategoryInstall